Page MenuHomePhabricator

[Regression pre-wmf.7] Drop down for template search results appears to go over the dialog when the template description is too long and not wrapping
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Open VE
  2. Go to Insert>Template
  3. In the textfield type "cit.."

The drop down for search results appears to going over the template dialog that contains templates like citation needed/cite web/cite book/cite news/citation and all of them has long description and not wrapping.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 31 2018, 10:03 PM

Change 436804 had a related patch set uploaded (by Esanders; owner: Esanders):
[oojs/ui@master] Allow menu config to be passed to LookupElement

https://gerrit.wikimedia.org/r/436804

Change 436804 merged by jenkins-bot:
[oojs/ui@master] Allow menu config to be passed to LookupElement

https://gerrit.wikimedia.org/r/436804

Does this patch fix the problem? I'm confused why @matmarex said this was intentional then @Esanders fixed it? :-)

matmarex assigned this task to Esanders.Jun 6 2018, 9:23 PM

It definitely doesn't fix the problem yet, but the fix that Ed presumably wants to write probably involves passing some menu config to LookupElement, which is made possible by that patch.

(I am guessing that we want to set a max-width or something. But I'm not sure what the desired behavior is exactly.)

No matter whether it is intentional or not, it certainly is buggy:

  1. Open the template dialog in de.wikipedia.org
  2. Type "a"

-> Menu larger than dialog (which might be intentional)

  1. Type another "a"

-> Menu smaller than input (which looks ugly)

  1. Type another "a"

-> No menu (which is correct)

  1. Delete the last "a"

-> Menu as large as input (which is inconsistent with 3)

  1. Delete the last "a"

-> Menu again as large as input (which is inconsistent with 2)

Vvjjkkii renamed this task from [Regression pre-wmf.7] Drop down for template search results appears to go over the dialog when the template description is too long and not wrapping to mvbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii removed Esanders as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from mvbaaaaaaa to [Regression pre-wmf.7] Drop down for template search results appears to go over the dialog when the template description is too long and not wrapping.Jul 2 2018, 2:26 AM
CommunityTechBot assigned this task to Esanders.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.
Deskana triaged this task as Normal priority.Aug 17 2018, 9:29 AM

Yeah - this is a more complex fix that I imagined. I may just have to come up with a quick fix for this particular issue.

Change 455163 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Match width of template lookupMenu to input

https://gerrit.wikimedia.org/r/455163

Change 455163 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Match width of template lookupMenu to input

https://gerrit.wikimedia.org/r/455163

Note that now the width of the lookupMenu is 2px to small (or something like that), probably the width of the border: The left edge is aligned with the input (both from the outside), but the right isn't.

Ryasmeen added a comment.EditedSep 20 2018, 9:32 PM

@Esanders: The drop down for template search looks perfect now. However, this is also happening for Category search drop down. I was thinking, this is gonna be a generic fix for all dropdown menus but probably not :) Is it possible to apply the same fix for that dropdown as well?

@Ryasmeen Can you file that as a separate task?

Deskana closed this task as Resolved.Nov 1 2018, 1:41 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptNov 1 2018, 1:41 PM